/* File SLFORG.H  Header file for Self Organizing Network */

#ifndef SLFORG_H
#define SLFORG_H

#include "utgr.h"

#define DYN_DESCR_LEN 21

typedef enum {unif_dist,Henon_sys} dynam_sys;

typedef struct {
   dynam_sys the_sys;
   char sys_descr [DYN_DESCR_LEN];
   int lattice_rows,lattice_cols;
   float a,b; /* Henon parameters */
   int freq;  /* How often to display graphics screen */
   float starting_stepsize;
   int starting_nbhd;
   int iter_interval;
   short color;
   graph_setup_rec gr_rec; } self_org_setup_rec;

extern self_org_setup_rec slf_rec;

void initialize_self_org_setup (self_org_setup_rec *);
void self_org_learning (self_org_setup_rec );

#endif
