// File SLFSYS.CPP Self Organizing Network - Dynamical System
//               Turbo Vision interface

#include <string.h>
#include "slfsetup.cpp"
extern "C" {
   #include "slforg.h"
   }

self_org_setup_rec slf_rec;
system_response prog_control;

void handle_system (system_response *control_flag)
  {
   tslfsetapp *Setup_App = new tslfsetapp();
   quit_flag = quit;
   Setup_App->run();
   Setup_App->destroy (Setup_App);
   *control_flag = quit_flag;
   }

int main()
   {
   system_response prog_control = startup;
   initialize_self_org_setup (&slf_rec);
   strcpy (system_name,"Self Organizing Graphic Network");
   display_startup_message();
   do
   {
   handle_system(&prog_control);
   switch (prog_control) {
   case run_net:
      self_org_learning(slf_rec);
      break;
   }
   } while (prog_control != quit);
   return 0;
   } // end main